- NAME
- SYNOPSIS
- DESCRIPTION
- BUGS
- AUTHOR

# NAME

blib - Use MakeMaker's uninstalled version of a package

# SYNOPSIS

     perl -Mblib script [args...]

     perl -Mblib=dir script [args...]

# DESCRIPTION

Looks for MakeMaker-like 'blib' directory structure starting in dir (or current directory) and working back up to five levels of '..'.

Intended for use on command line with -M option as a way of testing arbitrary scripts against an uninstalled version of a package.

However it is possible to :

     use blib;
     or
     use blib '..';

etc. if you really must.

# BUGS

Pollutes global name space for development only task.

# AUTHOR

Nick Ing-Simmons nik@tiuk.ti.com